#ifndef CUDA_DEVICE_INFO_H__
#define CUDA_DEVICE_INFO_H__

#ifdef __cplusplus
extern "C"
{
#endif


/** @brief Prints information returned from cudaGetDeviceProperties()
 *
 *  @details    The printed values indicate for example texture memory sizes, maximum
 *              number of concurrent threads etc.
 *
 *  @param[in]  p_evt                   The TCP event to be decoded and forwarded.
 *  @param[out] p_response              The response message with its payload.
 */
void cuda_device_info_print(void);

#ifdef __cplusplus
}
#endif

#endif
